﻿@model IEnumerable<EpiTicket.Models.Event>
@using CloudinaryDotNet

@{
    ViewData["Title"] = "Accueil";
}

<div class="text-center">
    <h1 class="display-4">Bienvenue sur EpiTicket</h1>
    <p>projet fait par Hugo Delahousse, Marie-Anne Grand, Nicolas Righetti & Nicolas Mulet</p>
</div>

<div class="container fluid">
    <div class="row justify-content-around">
        @foreach (var item in Model)
        {
            <div class="col-sm">
                @if (item.Poster == null)
                {
                    @Html.Raw(EpiTicket.Data.Cloudinary.Instance.Api.UrlImgUp.Transform(
                                                                       new Transformation().Width(300).Height(150).Crop("fill").Radius("8")
                                                                   ).BuildImageTag("EpiTicket/placeholder-event", new CloudinaryDotNet.StringDictionary("alt=" + item.Name)))
                }
                else
                {
                    @Html.Raw(EpiTicket.Data.Cloudinary.Instance.Api.UrlImgUp.Transform(
                                                                             new Transformation().Width(500).Height(300).Crop("fill").Radius("8")
                                                                         ).BuildImageTag(item.Poster, new CloudinaryDotNet.StringDictionary("alt=" + item.Name)))
                }
                <h3>
                    <a asp-action="Details" asp-route-id="@item.EventId">@Html.DisplayFor(modelItem => item.Name)</a>
                </h3>
                <p>
                    Lieu : <b>@Html.DisplayFor(modelItem => item.Location)</b>
                </p>
                <p>
                    Le @String.Format("{0:dd/MM/yyyy}", item.StartDate) à @String.Format("{0:HH:mm}", item.StartDate)
                </p>
                <p>
                    Prix du billet : <b>@Html.DisplayFor(modelItem => item.Price) €</b>
                </p>
                <p>
                    Organisé par <b>@Html.DisplayFor(modelItem => item.Organizer.Name)</b>
                </p>
            </div>
        }
    </div>
</div>